pureftpd-auth
=============

Ortiche pure_authd authenticator script written in perl. Based on ziokernel code.

Dependencies
---

apt-get install pure-ftpd libcrypt-eksblowfish-perl libclass-mix-perl libparams-classify-perl liblog-log4perl-perl dh-make-perl

dh-make-perl --build --cpan Crypt::Passwd::XS
dpkg -i libcrypt-passwd-xs-perl_0.601-1_amd64.deb

[1] https://wiki.debian.org/PerlFAQ

Config
---

echo "/usr/local/ortiche/pureftpd-auth/pureftpd-auth.pl" > /etc/pure-ftpd/conf/ExtAuth
echo "yes" > /etc/pure-ftpd/conf/CreateHomeDir 
rm -fr /etc/pure-ftpd/auth/
ln -s /etc/pure-ftpd/conf/ExtAuth /etc/pure-ftpd/auth/ExtAuth

Auth
---
mkdir /usr/local/ortiche/pureftpd-auth/auth
vi /usr/local/ortiche/pureftpd-auth/auth/pureftpd.pl

<code>
#!/usr/bin/perl
$DB_DB="ftp_db";
$DB_HOST="localhost";
$DB_USER="ftp_user_ro";
$DB_PASS="your_password";
$DB_TABLE="ftp_table";
</code>

Running
---
/usr/sbin/pure-ftpd -d -A -B -4 -Z -p 50000:50601 -H -Y 1 -E -k 95 -C 5 -c 30 -lextauth:/var/run/pure-ftpd/extauth.sock -B

/usr/sbin/pure-authd -s /var/run/pure-ftpd/extauth.sock -r /usr/local/ortiche/pureftpd-auth/pureftpd-auth.pl -B




